SSL3 error



  • Disable SSL3 for OpenVPN client. Trying to connect to PFSense as a client to a VPN. Getting reconnecting; tls error. Verify KU error in logs with "OpenSSL: error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed". How can we disable SSL3 or set minimum to TLS1.2?


  • LAYER 8 Rebel Alliance

    OpenVPN 2.x never supported SSLv3 or SSLv3 fallback. OpenVPN has always been strictly TLS 1.0 or TLS 1.0+.
    https://community.openvpn.net/openvpn/wiki/Poodle

    What exactly did you do and what is the full log?

    -Rico


  • LAYER 8 Global Moderator

    Yeah have no idea what your doing to be honest... But you can set the min TLS level in your custom options

    I have
    tls-version-min 1.2

    But that would be when pfsense is server, sounds like your trying to connect to some vpn service as a client.. Which service exactly??



  • @johnpoz I am certainly not an expert with pfnonsense... I solved my issue by moving to a 2.4.4 release. I was running on an old piece of hardware (32bit/2.3.x). I was trying to use OpenVPN client on PFSense to connect to ExpressVPN. It was clear in the logs that SSL3 was being used in the negotiation and the cert verify was failing as a result. Not an issue on 2.4.4. I am used to enterprise networking products where there is a clear documented way to control those settings client or server.

    I assume you are talking about OpenVPN server custom settings. I am not running OpenVPN server. Thanks!


Log in to reply